using System;

namespace Pikado
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int k = int.Parse(str[1]);
            int[] a = new int[2 * n];
            int[] b = new int[2 * n];
            string[] niz = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(niz[i]);
            }
            int br = 0;
            int br1 = 1;
            for(int i = 0; i < n - 1; i++)
            {
                for(int j = i + 1; j < n; j++)
                {
                    if (a[i] == a[j])
                    {
                        br++;
                        if(br >= k)
                            b[j] = a[j];
                    }
                }
            }
            if (br >= k)
                br1++;
            Console.WriteLine(br1);
            br = 0;
            for (int i = 0; i < n - 1; i++)
            {
                for (int j = i + 1; j < n; j++)
                {
                    if (a[i] == a[j])
                    {
                        br++;
                        if (br <= k)
                            Console.Write(a[j] + " ");
                    }
                }
            }
        }
    }
}